/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.deployment.scanner;

/**
 * MBean interface.
 */
public interface URLDeploymentScannerMBean extends org.jboss.deployment.scanner.DeploymentScannerMBean
{

   void setRecursiveSearch(boolean recurse);

   boolean getRecursiveSearch();

   void setURLList(java.util.List list);

   void setURLComparator(java.lang.String classname) throws java.lang.ClassNotFoundException,
         java.lang.IllegalAccessException, java.lang.InstantiationException;

   java.lang.String getURLComparator();

   void setFilter(java.lang.String classname) throws java.lang.ClassNotFoundException,
         java.lang.IllegalAccessException, java.lang.InstantiationException;

   java.lang.String getFilter();

   void setFilterInstance(org.jboss.net.protocol.URLLister.URLFilter filter);

   org.jboss.net.protocol.URLLister.URLFilter getFilterInstance();

   java.util.List getURLList();

   void addURL(java.net.URL url);

   void removeURL(java.net.URL url);

   boolean hasURL(java.net.URL url);

   void setURLs(java.lang.String listspec) throws java.net.MalformedURLException;

   void addURL(java.lang.String urlspec) throws java.net.MalformedURLException;

   void removeURL(java.lang.String urlspec) throws java.net.MalformedURLException;

   boolean hasURL(java.lang.String urlspec) throws java.net.MalformedURLException;

   void scan() throws java.lang.Exception;

}
